CREATE OR REPLACE FUNCTION GetCustomFolderReportDesignTemplate()
  RETURNS text AS
  $BODY$
DECLARE
    groupsize int;
    loopindex int;
    ret text;
    gdisplayname text;
    gnaturalid text;
    gview RECORD;
BEGIN
    select count(*) from ph_customize_report where item_type ='GROUP' and system_defined = false into groupsize;
    ret := '\n';
    IF groupsize > 0 THEN
        ret := ret || 'Found ' || groupsize || ' Custom Folder Report Design Templates:';
        loopindex := 0;
        FOR gview IN select g.id as gid,g.natural_id as gnaturalid,g.display_name as gdisname from ph_group g
             where id in (
                select item_id from ph_customize_report
                where item_type ='GROUP' and system_defined = false
             )

        LOOP
              gdisplayname := gview.gdisname;
              gnaturalid := gview.gnaturalid;
              ret := ret ||'\n';
              ret := ret ||'               ' ||gdisplayname ||' ';
              loopindex := loopindex +1;
        END LOOP;
        ret := ret || '\nPlease run RemoveAllCustomFolderReportDesignTemplate before upgrade under current path. \n';
        RETURN ret;
    ELSE
        ret := ret||'No Custom Folder Report Design Template Found. You may proceed to regular upgrade. \n';
        RETURN ret;
    END IF;
END;
$BODY$
LANGUAGE plpgsql;

ALTER FUNCTION GetCustomFolderReportDesignTemplate() OWNER TO phoenix;
