CREATE OR REPLACE FUNCTION RemoveAllCustomFolderReportDesignTemplate()
  RETURNS text AS $$
DECLARE
    groupsize int;
    ret text;
    loopindex int;
    gdisplayname text;
    gnaturalid text;
    gview RECORD;
BEGIN
        select count(*) from ph_customize_report where item_type ='GROUP' and system_defined = false into groupsize;
        ret := '\n';
        IF groupsize > 0 THEN
            ret := ret || 'Deleted ' || groupsize || ' Custom Folder Report Design Templates:';
            loopindex := 0;
            FOR gview IN select g.id as gid,g.natural_id as gnaturalid,g.display_name as gdisname from ph_group g
                 where id in (
                    select item_id from ph_customize_report
                    where item_type ='GROUP' and system_defined = false
                 )

            LOOP
                  gdisplayname := gview.gdisname;
                  gnaturalid := gview.gnaturalid;
                  ret := ret ||'\n';
                  ret := ret ||'               ' ||gdisplayname ||' ';
                  loopindex := loopindex +1;
            END LOOP;
            ret := ret || '\nYou may proceed to regular upgrade. If you have already upgraded, then reload the GUI. \n';

            delete from ph_customize_report where item_type ='GROUP' and system_defined = false;

            delete from ph_task where type='Jsreport' and param_str='db migration' and status!=2;

            RETURN ret;
        ELSE
            ret := ret||'Deleted 0 Custom Folder Report Design Templates: \n';
            RETURN ret;
        END IF;
END;
$$
LANGUAGE plpgsql;

ALTER FUNCTION RemoveAllCustomFolderReportDesignTemplate() OWNER TO phoenix;
